%global realname mochiweb
%global upstream mochi


Name:		erlang-%{realname}
Version:	2.22.0
Release:	%mkrel 1
BuildArch:	noarch
Summary:	An Erlang library for building lightweight HTTP servers
Group:          Development/Tools
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar
BuildRequires:	erlang-xmerl
Provides:	%{realname} = %{version}-%{release}

%description
An Erlang library for building lightweight HTTP servers.


%prep
%setup -q -n %{realname}-%{version}
rm -f .gitignore ./support/templates/.gitignore



%build
%{erlang_compile}


%install
%{erlang_install}

# Additional skeleton files
cp -arv scripts %{buildroot}%{_erllibdir}/%{realname}-%{version}
cp -arv support %{buildroot}%{_erllibdir}/%{realname}-%{version}


%check
#%%{erlang_test}


%files
%license LICENSE
%doc CHANGES.md README.md examples
%{erlang_appdir}/


%changelog
* Thu Jan 05 2023 daviddavid <daviddavid> 2.22.0-1.mga9
+ Revision: 1930364
- new version 2.22.0
+ neoclust <neoclust>
- New version

* Mon Jan 04 2021 joequant <joequant> 2.20.1-2.mga8
+ Revision: 1668706
- imported package erlang-mochiweb

